#-----------------------------------------------------------------------------
#@TYPE: Machine
#@NAME: FIC GTA01 (Neo1973)
#@DESCRIPTION: Machine configuration for the FIC Neo1973/1 GSM phone
#-----------------------------------------------------------------------------

TARGET_ARCH = "arm"
MACHINE_CLASS = "neo1973"
PACKAGE_EXTRA_ARCHS = "armv4t fic-gta01 ${MACHINE_CLASS}"

PREFERRED_PROVIDER_virtual/kernel = "linux-openmoko"
UBOOT_ENTRYPOINT = "30008000"

MACHINE_FEATURES = "kernel26 apm alsa bluetooth gps usbgadget usbhost phone vfat ext2"
MACHINE_DISPLAY_WIDTH_PIXELS = "480"
MACHINE_DISPLAY_HEIGHT_PIXELS = "640"
MACHINE_DISPLAY_ORIENTATION = "0"
MACHINE_DISPLAY_PPI = "285"
XSERVER = "xserver-kdrive-fbdev"

# package machine specific modules
MACHINE_EXTRA_RRECOMMENDS = "\
  kernel-module-gta01-pm-bt  \
  kernel-module-gta01-pm-gps \
  kernel-module-gta01-pm-gsm \
  kernel-module-gta01kbd \
  kernel-module-s3cmci \
  kernel-module-snd-soc-neo1973-wm8753 \
  kernel-module-snd-soc-smdk2440 \
"

# do not outcomment, we bypass the sysvinit.bb logic here -- see FIC GTA01 inittab
#SERIAL_CONSOLE = "115200 ttySAC0"

# used by some images
ROOT_FLASH_SIZE = "60"

# extra jffs2 tweaks
IMAGE_FSTYPES ?= "jffs2"
EXTRA_IMAGECMD_jffs2 = "--little-endian --eraseblock=0x4000 --pad -n"

# build / upload tools
EXTRA_IMAGEDEPENDS += "dfu-util-native"

# tune for S3C24x0
include conf/machine/include/tune-arm920t.inc

